Subject: Re: Yahoo, Thunderbird and the quest for email freedom

From: Stephen Partington via PLUG-discuss <[email-masked]>
Date: Tue, 25 Mar 2025 13:10:54 -0400

Geary was nice and clean to use, and evolution also was pretty nice and
clean to work with.

On Tue, Mar 25, 2025 at 1:03 PM Ryan Petris via PLUG-discuss <
[email-masked]> wrote:

> I've been using Fastmail <https://www.fastmail.com/> for years and have
> just used the web ui. They've been great and stable.
>
> On Tue, Mar 25, 2025, at 8:34 AM, greg zegan via PLUG-discuss wrote:
>
> Hello,
>   As many you now know Yahoo, who was acquired by Verizon back in 2017 and
> has merged with several companies to form a mega-corp has put out a new web
> interface which is terrible and caused me to seriously seek out an
> alternative to Yahoo.  Verizon, famous for terrible customer service, has
> now become the business model for Yahoo users.
> https://en.wikipedia.org/wiki/Yahoo!_Inc._(2017%E2%80%93present)
>
> Does anyone use an alternative email client and do they like it?  I have
> used Thunderbird years ago but it allows so much email you have to create
> filters to keep Spam out and receive normal email.  And yes I will find my
> username and password for Proton Mail...
>
> How do we continue to use Yahoo email without getting slammed by this
> giant company?
>
> thanks,
>
> Greg
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>
>
> ---------------------------------------------------
> PLUG-discuss mailing list: [email-masked]
> To subscribe, unsubscribe, or to change your mail settings:
> https://lists.phxlinux.org/mailman/listinfo/plug-discuss
>

-- 
A mouse trap, placed on top of your alarm clock, will prevent you from
rolling over and going back to sleep after you hit the snooze button.

Stephen
---------------------------------------------------
PLUG-discuss mailing list: [email-masked]
To subscribe, unsubscribe, or to change your mail settings:
https://lists.phxlinux.org/mailman/listinfo/plug-discuss